package com.fs.store.mapper;

import com.fs.store.domain.FsStoreOrderStatusScrm;

import java.util.List;

/**
 * 订单操作记录Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsStoreOrderStatusScrmMapper
{
    /**
     * 查询订单操作记录
     * 
     * @param id 订单操作记录ID
     * @return 订单操作记录
     */
    public FsStoreOrderStatusScrm selectFsStoreOrderStatusById(Long id);

    /**
     * 查询订单操作记录列表
     * 
     * @param fsStoreOrderStatus 订单操作记录
     * @return 订单操作记录集合
     */
    public List<FsStoreOrderStatusScrm> selectFsStoreOrderStatusList(FsStoreOrderStatusScrm fsStoreOrderStatus);

    /**
     * 新增订单操作记录
     * 
     * @param fsStoreOrderStatus 订单操作记录
     * @return 结果
     */
    public int insertFsStoreOrderStatus(FsStoreOrderStatusScrm fsStoreOrderStatus);

    /**
     * 修改订单操作记录
     * 
     * @param fsStoreOrderStatus 订单操作记录
     * @return 结果
     */
    public int updateFsStoreOrderStatus(FsStoreOrderStatusScrm fsStoreOrderStatus);

    /**
     * 删除订单操作记录
     * 
     * @param id 订单操作记录ID
     * @return 结果
     */
    public int deleteFsStoreOrderStatusById(Long id);

    /**
     * 批量删除订单操作记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsStoreOrderStatusByIds(Long[] ids);
}
